summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /app-shells/heirloom-sh
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'app-shells/heirloom-sh')
-rw-r--r--app-shells/heirloom-sh/Manifest1
-rw-r--r--app-shells/heirloom-sh/heirloom-sh-050706.ebuild36
-rw-r--r--app-shells/heirloom-sh/metadata.xml11
3 files changed, 48 insertions, 0 deletions
diff --git a/app-shells/heirloom-sh/Manifest b/app-shells/heirloom-sh/Manifest
new file mode 100644
index 00000000000..71ad70225f7
--- /dev/null
+++ b/app-shells/heirloom-sh/Manifest
@@ -0,0 +1 @@
+DIST heirloom-sh-050706.tar.bz2 82725 SHA256 25fb8409e1eb75bb5da21ca32baf2d5eebcb8b84a1288d66e65763a125809e1d SHA512 3a0dbec19eb093b6a818910a1b24f2d7328dc785dc12cd0097c37f98e7ac558d31cda8717381d814259bd54f5de12e50cc8d9d617bd4e09c4a903ef63838807f WHIRLPOOL 4be1e76719493e5ab85b99953e1359658c71e5fd68a3025526c218650079518ab61d4b7ead76903ec68898f0fef5ec2db8ca6b691db929fe9e33b6e44c84b9bf
diff --git a/app-shells/heirloom-sh/heirloom-sh-050706.ebuild b/app-shells/heirloom-sh/heirloom-sh-050706.ebuild
new file mode 100644
index 00000000000..bfff55d950f
--- /dev/null
+++ b/app-shells/heirloom-sh/heirloom-sh-050706.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+inherit flag-o-matic toolchain-funcs
+
+# slightly broken
+RESTRICT="test"
+
+DESCRIPTION="Heirloom Bourne Shell, derived from OpenSolaris code SVR4/SVID3"
+HOMEPAGE="http://heirloom.sourceforge.net/sh.html"
+SRC_URI="mirror://sourceforge/heirloom/${P}.tar.bz2"
+
+LICENSE="CDDL"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND=""
+RDEPEND=""
+
+src_compile() {
+ append-cppflags -D_GNU_SOURCE
+ emake \
+ "CFLAGS=${CFLAGS}" \
+ "CPPFLAGS=${CPPFLAGS}" \
+ "LDFLAGS=${LDFLAGS}" \
+ "LARGEF=" \
+ "CC=$(tc-getCC)" || die
+}
+
+src_install() {
+ exeinto /bin
+ newexe sh jsh
+ newman sh.1 jsh.1
+}
diff --git a/app-shells/heirloom-sh/metadata.xml b/app-shells/heirloom-sh/metadata.xml
new file mode 100644
index 00000000000..c594f04f344
--- /dev/null
+++ b/app-shells/heirloom-sh/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>patrick@gentoo.org</email>
+ <name>Patrick Lauer</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="sourceforge">heirloom</remote-id>
+ </upstream>
+</pkgmetadata>